Bug 1118937 - [RFE][heat]: Implement Unicode Support in Template
Summary: [RFE][heat]: Implement Unicode Support in Template
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 04:03 UTC by RHOS Integration
Modified: 2015-09-15 04:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:05:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-07-12 04:03:41 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/template-unicode-support.

Description:

  If we use unicode in template for resource name or parameters name, we will get an UnicodeDecodeError. we should try to remove str() in codes and use unicode function instead.
This bp is aim to support unicode in heat project, included resource name, parameter name, resource property.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.